Page MenuHomePhabricator

eina: Updated documentation of strbuf_substr_get.
ClosedPublic

Authored by sri.hebbar on Dec 16 2015, 10:30 PM.

Details

Summary

Fixes T2949.
In the bug, its been mentioned about updating the documentation, so added this.

Signed-off-by: Srivardhan Hebbar <sri.hebbar@samsung.com>

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
sri.hebbar added tasks: T2949: eina strbuf_substr_get test is borked, Restricted Maniphest Task.
sri.hebbar retitled this revision from to eina: Updated documentation of strbuf_substr_get..
sri.hebbar updated this object.
sri.hebbar edited the test plan for this revision. (Show Details)
sri.hebbar added reviewers: cedric, jpeg.
sri.hebbar removed a task: Restricted Maniphest Task.
jpeg accepted this revision.Dec 30 2015, 8:34 PM
jpeg edited edge metadata.
This revision is now accepted and ready to land.Dec 30 2015, 8:34 PM
jpeg requested changes to this revision.Dec 30 2015, 8:45 PM
jpeg edited edge metadata.

Actually, no. See also D3461.

src/lib/eina/eina_strbuf.h
666

NULL --> return NULL
len == 0 --> return empty strbuf (not NULL)

This revision now requires changes to proceed.Dec 30 2015, 8:45 PM
sri.hebbar edited edge metadata.

Updated the documentation.

jpeg accepted this revision.Jan 6 2016, 10:30 PM
jpeg edited edge metadata.
This revision is now accepted and ready to land.Jan 6 2016, 10:30 PM
Closed by commit rEFL9de3520c8768: eina: Updated documentation of strbuf_substr_get. (authored by sri.hebbar, committed by Jean-Philippe Andre <jp.andre@samsung.com>). · Explain WhyJan 6 2016, 10:38 PM
This revision was automatically updated to reflect the committed changes.